clear all
clc

incT1   = csvread('..\..\Temp Files\Typical_GDP_Response_incT1.csv');
llp     = csvread('..\..\Temp Files\Typical_GDP_Response_llp.csv');

T = 6;

figure(1)
subplot(1,2,1)
plot(incT1(1,:),'Linewidth',3,'Color',rgb('Green'))
hold on
plot(incT1(2,:),'LineStyle','--','Linewidth',4.5,'Color',rgb('Red'))
hold on
plot(incT1(1,:),'Linewidth',3,'Color',rgb('White'))
hold on
plot(incT1(2,:),'LineStyle','--','Linewidth',4.5,'Color',rgb('White'))
hold on
plot(incT1(1,:),'Linewidth',6,'Color',rgb('Green'))
hold on
plot(incT1(2,:),'LineStyle','--','Linewidth',6,'Color',rgb('Red'))
hold on
axis tight
xlim([1 T])
ylim([-3 6])
kk1 = legend('Below Average Trend','Above Average Trend','Location','northwest');
set(kk1,'fontsize',24,'FontName','Helvetica');
t = title('Output Response - Inequality Trend');
set(gca,'Xtick',1:T,'XTickLabel',{'t','t+1','t+2','t+3','t+4','t+5'},'Box','on','FontSize', 24)
set(t,'fontsize',26,'FontName','Palatino','Interpreter','Latex')
xlabel('Year after start of recession at time t','fontsize',26,'FontName','Palatino','Interpreter','Latex')
ylabel('Percentage Change','fontsize',26,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')

subplot(1,2,2)
plot(llp(2,:),'Linewidth',3,'Color',rgb('Mediumblue'))
hold on
plot(llp(1,:),'LineStyle','--','Linewidth',3,'Color',rgb('DarkOrange'))
hold on
plot(llp(2,:),'Linewidth',3,'Color',rgb('White'))
hold on
plot(llp(1,:),'LineStyle','--','Linewidth',3,'Color',rgb('White'))
hold on
plot(llp(2,:),'Linewidth',6,'Color',rgb('Mediumblue'))
hold on
plot(llp(1,:),'LineStyle','--','Linewidth',6,'Color',rgb('DarkOrange'))
hold on
axis tight
xlim([1 T])
ylim([-3 6])
kk1 = legend('Above Average Trend','Below Average Trend','Location','northwest');
set(kk1,'fontsize',24,'FontName','Helvetica');
t = title('Output Response - Productivity Trend');
set(gca,'Xtick',1:T,'XTickLabel',{'t','t+1','t+2','t+3','t+4','t+5'},'Box','on','FontSize', 24)
set(t,'fontsize',26,'FontName','Palatino','Interpreter','Latex')
xlabel('Year after start of recession at time t','fontsize',26,'FontName','Palatino','Interpreter','Latex')
ylabel('Percentage Change','fontsize',26,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;
h = gcf;
set(h,'PaperPositionMode','auto')
set(h,'PaperOrientation','landscape')
set(h,'Position',[0 0 1920 600])
tightfig
print(h,'-depsc','..\Output\Figure_6')
