clear all
clc

incT1   = csvread('..\..\Temp Files\Pooled_Recessions_IncomeShareTop1_measure_IRFs.csv');
LP      = csvread('..\..\Temp Files\Pooled_Recessions_LP_measure_IRFs.csv');

T       = 6;
time    = 1:T;

up_1_inc1 = ceil(max(max(incT1(1:2,:)))+(max(max(incT1(1:2,:)))-min(min(incT1(1:2,:))))/10);
bo_1_inc1 = floor(min(min(incT1(1:2,:)))-(max(max(incT1(1:2,:)))-min(min(incT1(1:2,:))))/10);

up_1_lp = ceil(max(max(LP(1:2,:)))+(max(max(LP(1:2,:)))-min(min(LP(1:2,:))))/10);
bo_1_lp = floor(min(min(LP(1:2,:)))-(max(max(LP(1:2,:)))-min(min(LP(1:2,:))))/10);

figure1 = figure;
subplot(1,2,1)
plot(incT1(1,:),'Linewidth',3,'Color',rgb('Green'))
hold on
plot(incT1(2,:),'LineStyle','--','Linewidth',2,'Color',rgb('Crimson'))
hold on
plot(incT1(1,:),'Linewidth',3,'Color',rgb('White'))
hold on
plot(incT1(2,:),'LineStyle','--','Linewidth',2,'Color',rgb('White'))
hold on
plot(incT1(1,:),'Linewidth',6,'Color',rgb('Green'))
hold on
plot(incT1(2,:),'LineStyle','--','Linewidth',6,'Color',rgb('Crimson'))
hold on
axis tight
xlim([1 T])
ylim([-4 6])
t= title('Output Response - Inequality Trend');
set(gca,'Xtick',1:T,'XTickLabel',{'0','1','2','3','4','5'},'Box','on','FontSize', 24)
set(t,'fontsize',26,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;
l1 = legend('Recession, Average','Recession, Positive Trend','Location','Northwest');
set(l1,'fontsize',17,'FontName','Palatino','Interpreter','Latex');
xlabel('Year after start of recession at time t','FontSize',24,'FontName','Palatino','Interpreter','Latex')
ylabel('Percentage Change','fontsize',26,'FontName','Palatino','Interpreter','Latex')

subplot(1,2,2)
plot(LP(1,:),'Linewidth',3,'Color',rgb('Blue'))
hold on
plot(LP(2,:),'LineStyle','--','Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(LP(1,:),'Linewidth',3,'Color',rgb('White'))
hold on
plot(LP(2,:),'LineStyle','--','Linewidth',2,'Color',rgb('White'))
hold on
plot(LP(1,:),'Linewidth',6,'Color',rgb('Blue'))
hold on
plot(LP(2,:),'LineStyle','--','Linewidth',6,'Color',rgb('DarkOrange'))
hold on
axis tight
xlim([1 T])
ylim([-4 6])
t= title('Output Response - Productivity Trend');
set(gca,'Xtick',1:T,'XTickLabel',{'0','1','2','3','4','5'},'Box','on','FontSize', 24)
set(t,'fontsize',26,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;
l2 = legend('Recession, Average','Recession, Negative Trend','Location','Northwest');
set(l2,'fontsize',17,'FontName','Palatino','Interpreter','Latex');
xlabel('Year after start of recession at time t','FontSize',24,'FontName','Palatino','Interpreter','Latex')
ylabel('Percentage Change','fontsize',26,'FontName','Palatino','Interpreter','Latex')

h = gcf;
set(h, 'PaperPositionMode','auto')
set(h,'PaperOrientation','landscape')
set(h,'Position',[0 0 1920 600])
tightfig
print(h,'-depsc','..\Output\Figure_7')
