
********************************************
*** Process Laeven-Valencia Crises Dates ***
********************************************

set more off

cd "$root"

import excel "Data/Input/Crises Dates Data/SYSTEMIC BANKING CRISES DATABASE.xlsx", sheet("Crisis Years") cellrange(A3:B164) clear
drop if B==""
gen str30 country = A
drop A
replace country = subinstr(country," ","",.)
rename B crisis_str

split crisis_str, gen(crisis) parse(",") destring
drop crisis_str

replace country = "Bosnia and Herzegovina" if country=="BosniaandHerzegovina"
replace country = "Burkina Faso" if country=="BurkinaFaso"
replace country = "Central African Republic" if country=="CentralAfricanRep."
replace country = "Democratic Republic of Congo" if country=="Congo,Dem.Rep.of"
replace country = "Republic of Congo" if country=="Congo,Rep.of"
replace country = "Costa Rica" if country=="CostaRica"
replace country = "Ivory Coast" if country=="Côted’Ivoire"
replace country = "Czech Republic" if country=="CzechRepublic"
replace country = "Dominican Republic" if country=="DominicanRepublic"
replace country = "El Salvador" if country=="ElSalvador"
replace country = "Equatorial Guinea" if country=="EquatorialGuinea"
replace country = "Sao Tome and Principe" if country=="SãoToméandPrincipe"
replace country = "Sierra Leone" if country=="SierraLeone"
replace country = "Republic of Slovakia" if country=="SlovakRepublic"
replace country = "Russian Federation" if country == "Russia"
replace country = "UK" if country=="UnitedKingdom"
replace country = "USA" if country=="UnitedStates"

reshape long crisis, i(country) j(j)
drop j
rename crisis year
drop if mi(year)
gen crisisLV = 1

gen str3 iso=""
replace iso="DZA" if country=="Algeria"
replace iso="AGO" if country=="Angola"
replace iso="ARG" if country=="Argentina"
replace iso="AUS" if country=="Australia"
replace iso="AUT" if country=="Austria"
replace iso="BEL" if country=="Belgium"
replace iso="BOL" if country=="Bolivia"
replace iso="BRA" if country=="Brazil"
replace iso="CAN" if country=="Canada"
replace iso="CAG" if country=="Central African Republic"
replace iso="CHL" if country=="Chile"
replace iso="CHN" if country=="China"
replace iso="COL" if country=="Colombia"
replace iso="CRI" if country=="Costa Rica"
replace iso="CIV" if country=="Ivory Coast"
replace iso="DNK" if country=="Denmark"
replace iso="DOM" if country=="Dominican Republic"
replace iso="ECU" if country=="Ecuador"
replace iso="EGY" if country=="Egypt"
replace iso="SLV" if country=="El Salvador"
replace iso="FIN" if country=="Finland"
replace iso="FRA" if country=="France"
replace iso="DEU" if country=="Germany"
replace iso="GHA" if country=="Ghana"
replace iso="GRC" if country=="Greece"
replace iso="GTM" if country=="Guatemala"
replace iso="HND" if country=="Honduras"
replace iso="HUN" if country=="Hungary"
replace iso="ISL" if country=="Iceland"
replace iso="IND" if country=="India"
replace iso="IDN" if country=="Indonesia"
replace iso="IRL" if country=="Ireland"
replace iso="ITA" if country=="Italy"
replace iso="JPN" if country=="Japan"
replace iso="KEN" if country=="Kenya"
replace iso="KOR" if country=="Korea"
replace iso="MYS" if country=="Malaysia"
replace iso="MUS" if country=="Mauritius"
replace iso="MEX" if country=="Mexico"
replace iso="MAR" if country=="Morocco"
replace iso="MMR" if country=="Myanmar"
replace iso="NLD" if country=="Netherlands"
replace iso="NZL" if country=="New Zealand"
replace iso="NIC" if country=="Nicaragua"
replace iso="NGA" if country=="Nigeria"
replace iso="NOR" if country=="Norway"
replace iso="PAN" if country=="Panama"
replace iso="PRY" if country=="Paraguay"
replace iso="PER" if country=="Peru"
replace iso="PHL" if country=="Philippines"
replace iso="POL" if country=="Poland"
replace iso="PRT" if country=="Portugal"
replace iso="ROU" if country=="Romania"
replace iso="RUS" if country=="Russian Federation"
replace iso="SGP" if country=="Singapore"
replace iso="ZAF" if country=="South Africa"
replace iso="ESP" if country=="Spain"
replace iso="LKA" if country=="Sri Lanka"
replace iso="SWE" if country=="Sweden"
replace iso="CHE" if country=="Switzerland"
replace iso="TWN" if country=="Taiwan"
replace iso="THA" if country=="Thailand"
replace iso="TUN" if country=="Tunisia"
replace iso="TUR" if country=="Turkey"
replace iso="GBR" if country=="UK"
replace iso="USA" if country=="USA"
replace iso="URY" if country=="Uruguay"
replace iso="VEN" if country=="Venezuela"
replace iso="ZMB" if country=="Zambia"
replace iso="ZWE" if country=="Zimbabwe"

lab var crisisLV "Crises Dates Laeven & Valencia (2012)"

drop if iso==""

keep year crisisLV iso

save "$root/Data/Input/Crises Dates Data/LaevenValencia_crisis_dates", replace
