
****************************************
*** Process TFP and LP data from BCL ***
****************************************

foreach x in LP TFP KI GDP {

	import excel using "Data/Input/Productivity Data/BCLDatabase_v2.0.xlsx", sheet("`x'") firstrow clear
	
	rename Year year
	destring year, replace
	keep if year>=1870
	drop if mi(year)
	
	gen str3 iso=""
	preserve
	foreach c in AUS BEL CAN CHE DEU DNK ESP FIN FRA GBR ITA JPN NLD NOR PRT SWE USA {
		restore, preserve
		keep year `c' iso
		rename `c' `x'
		replace iso="`c'"
		tempfile `c'
		save ``c''
	}
	
	foreach c in AUS BEL CAN CHE DEU DNK ESP FIN FRA GBR ITA JPN NLD NOR PRT SWE {
		append using ``c''
	}
	sort iso year
	order iso year
	tempfile `x'
	save ``x''
	restore, not
}

merge 1:1 iso year using `LP'
drop _merge
merge 1:1 iso year using `TFP'
drop _merge
merge 1:1 iso year using `KI'
drop _merge
rename GDP gdp_bcl
lab var gdp_bcl "GDP from BCL"
lab var TFP "Total factor productivity (BCL)"
lab var LP "Labor producitivity (BCL)"
lab var KI "Capital intensity (BCL): K/Total hours"

rename TFP tfp
rename LP lp

drop if year>2013

save "Data/Input/Productivity Data/BCL_tfp_lp_ki_gdp_data.dta", replace
