
***************************
*** Process Wealth Data ***
***************************

import excel "Data/Input/Wealth Data/Wealth_to_income_ratio_Feb_13_2018.xlsx", clear
drop B C 
rename A country
rename D year
rename E wealth_income
keep if year>=1870 & year<=2013

save "Data/Input/Wealth Data/wealth_income_ratio.dta", replace

import excel "Data/Input/Wealth Data/Wealth_inequality_top1_Nov_2_2017.xlsx", clear

drop B C 
rename A country
rename D year
rename E wealth_top1
keep if year>=1870 & year<=2013

save "Data/Input/Wealth Data/wealth_top1.dta", replace

import excel "Data/Input/Wealth Data/Wealth_inequality_top1_Waldenstroem.xlsx", clear

rename A year
rename B country
rename C wealth_top1_wal
drop D

drop if country=="USA" | country=="France" | country=="United Kingdom"  

save "Data/Input/Wealth Data/wealth_top1_wal.dta", replace

import excel "Data/Input/Wealth Data/Wealth_inequality_top10_Nov_2_2017.xlsx", clear

drop B C 
rename A country
rename D year
rename E wealth_top10
keep if year>=1870 & year<=2013

save "Data/Input/Wealth Data/wealth_top10.dta", replace

merge 1:1 country year using "Data/Input/Wealth Data/wealth_top1.dta", nogen
merge 1:1 country year using "Data/Input/Wealth Data/wealth_top1_wal.dta", nogen
merge 1:1 country year using "Data/Input/Wealth Data/wealth_income_ratio.dta", nogen

replace wealth_top1 = wealth_top1_wal if wealth_top1 == .

drop wealth_top1_wal

gen iso=""

replace iso="AUS" if country=="Australia"
replace iso="CAN" if country=="Canada"
replace iso="CHE" if country=="Switzerland"
replace iso="DEU" if country=="Germany"
replace iso="DNK" if country=="Denmark"
replace iso="ESP" if country=="Spain"
replace iso="FIN" if country=="Finland"
replace iso="FRA" if country=="France"
replace iso="GBR" if country=="United Kingdom"
replace iso="ITA" if country=="Italy"
replace iso="JPN" if country=="Japan"
replace iso="NLD" if country=="Netherlands"
replace iso="NOR" if country=="Norway"
replace iso="PRT" if country=="Portugal"
replace iso="SWE" if country=="Sweden"
replace iso="USA" if country=="USA"

drop country

order iso year wealth*

save "Data/Input/Wealth Data/wealth_data.dta", replace
