
clear all
clc

cap_gains   = csvread('..\..\Temp Files\capital_gains.csv');
year        = cap_gains(1,1:11);
spain       = cap_gains(2:3,1:11);
usa         = cap_gains(2:3,12:22);

line_p   = 2008;

figure(1)
subplot(1,2,1)
plot(year,spain(2,:),'Linewidth',3,'Color',rgb('Orange'))
hold on
plot(year,spain(1,:),'Linewidth',3,'Color',rgb('Mediumblue'),'Linestyle','--')
hold on
plot(year,spain(2,:),'Linewidth',3,'Color',rgb('White'))
hold on
plot(year,spain(1,:),'Linewidth',3,'Color',rgb('White'),'Linestyle','--')
hold on
plot(year,spain(2,:),'Linewidth',4.5,'Color',rgb('Orange'))
hold on
plot(year,spain(1,:),'Linewidth',4.5,'Color',rgb('Mediumblue'),'Linestyle','--')
hold on
line([line_p line_p],[min(min(spain))-0.5 max(max(spain))+0.5],'Color',rgb('Crimson'),'Linewidth',3);
axis tight
ylim([min(min(spain))-0.5 max(max(spain))+0.5])
set(gca,'FontSize', 22)
grid on
set(gca,'GridLineStyle','--')
kk1 = legend('Incl. capital gains','Excl. capital gains','Location','northwest');
set(kk1,'fontsize',24,'FontName','Helvetica');
title('Top $1\%$ Share in Spain','Fontsize',30,'FontName','Palatino','Interpreter','Latex')

subplot(1,2,2)
plot(year,usa(2,:),'Linewidth',3,'Color',rgb('Orange'))
hold on
plot(year,usa(1,:),'Linewidth',3,'Color',rgb('Mediumblue'),'Linestyle','--')
hold on
plot(year,usa(2,:),'Linewidth',3,'Color',rgb('White'))
hold on
plot(year,usa(1,:),'Linewidth',3,'Color',rgb('White'),'Linestyle','--')
hold on
plot(year,usa(2,:),'Linewidth',4.5,'Color',rgb('Orange'))
hold on
plot(year,usa(1,:),'Linewidth',4.5,'Color',rgb('Mediumblue'),'Linestyle','--')
hold on
line([line_p-1 line_p-1], [min(min(usa))-0.5 max(max(usa))+0.5],'Color',rgb('Crimson'),'Linewidth',3);
axis tight
ylim([min(min(usa))-0.5 max(max(usa))+0.5])
set(gca,'FontSize', 22)
grid on
set(gca,'GridLineStyle','--')
kk2 = legend('Incl. capital gains','Excl. capital gains','Location','northwest');
set(kk2,'fontsize',24,'FontName','Helvetica');
title('Top $1\%$ Share in the United States','Fontsize',30,'FontName','Palatino','Interpreter','Latex')
ax = gca;
ax.GridAlpha = .5;
h = gcf;
set(h,'PaperPositionMode','auto')
set(h,'PaperOrientation','landscape')
set(h,'Position',[0 0 1920 780])
tightfig
print(h,'-depsc','..\Output\Figure_3')
