clear all
clc

cd('..\..\Temp Files');

AUS = csvread('AUS.csv');
AUS(AUS == 0) = nan;
BEL = csvread('BEL.csv');
BEL(BEL == 0) = nan;
CAN = csvread('CAN.csv');
CAN(CAN == 0) = nan;
CHE = csvread('CHE.csv');
CHE(CHE == 0) = nan;
DEU = csvread('DEU.csv');
DEU(DEU == 0) = nan;
DNK = csvread('DNK.csv');
DNK(DNK == 0) = nan;
ESP = csvread('ESP.csv');
ESP(ESP == 0) = nan;
FIN = csvread('FIN.csv');
FIN(FIN == 0) = nan;
FRA = csvread('FRA.csv');
FRA(FRA == 0) = nan;
GBR = csvread('GBR.csv');
GBR(GBR == 0) = nan;
ITA = csvread('ITA.csv');
ITA(ITA == 0) = nan;
JPN = csvread('JPN.csv');
JPN(JPN == 0) = nan;
NLD = csvread('NLD.csv');
NLD(NLD == 0) = nan;
NOR = csvread('NOR.csv');
NOR(NOR == 0) = nan;
PRT = csvread('PRT.csv');
PRT(PRT == 0) = nan;
SWE = csvread('SWE.csv');
SWE(SWE == 0) = nan;
USA = csvread('USA.csv');
USA(USA == 0) = nan;

cd('..\Figures\Programs');

Labels = {'Australia','Canada','Denmark','Finland','France','Germany','Italy','Japan','Netherlands','Norway','Portugal','Spain','Sweden','Switzerland','United Kingdom','United States','Belgium'};

T       = 144;
time    = 1:T;

%% Figure

figure
subplot(6,3,1)
scatter(AUS(1,:),AUS(2,:),5,rgb('DarkOrange'),'filled','o')
hold on
scatter(AUS(1,:),AUS(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(AUS(1,:),AUS(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(AUS(1,:),AUS(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([AUS(1,1) AUS(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,1));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,2)
scatter(BEL(1,:),BEL(2,:),5,rgb('DarkOrange'),'filled','d')
hold on
scatter(BEL(1,:),BEL(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(BEL(1,:),BEL(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(BEL(1,:),BEL(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([BEL(1,1) BEL(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,17));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,3)
scatter(CAN(1,:),CAN(2,:),5,rgb('DarkOrange'),'filled','o')
hold on
scatter(CAN(1,:),CAN(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(CAN(1,:),CAN(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(CAN(1,:),CAN(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([CAN(1,1) CAN(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,2));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,4)
scatter(DNK(1,:),DNK(2,:),5,rgb('DarkOrange'),'filled','o')
hold on
scatter(DNK(1,:),DNK(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(DNK(1,:),DNK(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(DNK(1,:),DNK(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([DNK(1,1) DNK(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,3));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,5)
scatter(FRA(1,:),FRA(2,:),5,rgb('DarkOrange'),'filled','o')
hold on
scatter(FRA(1,:),FRA(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(FRA(1,:),FRA(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(FRA(1,:),FRA(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([FRA(1,1) FRA(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,5));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,6)
scatter(DEU(1,:),DEU(2,:),5,rgb('DarkOrange'),'filled','o')
hold on
scatter(DEU(1,:),DEU(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(DEU(1,:),DEU(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(DEU(1,:),DEU(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([DEU(1,1) DEU(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,6));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,7)
scatter(FIN(1,:),FIN(2,:),5,rgb('DarkOrange'),'filled','d')
hold on
scatter(FIN(1,:),FIN(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(FIN(1,:),FIN(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(FIN(1,:),FIN(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([FIN(1,1) FIN(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,4));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,8)
scatter(JPN(1,:),JPN(2,:),5,rgb('DarkOrange'),'filled','o')
hold on
scatter(JPN(1,:),JPN(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(JPN(1,:),JPN(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(JPN(1,:),JPN(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([JPN(1,1) JPN(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,8));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,9)
scatter(ITA(1,:),ITA(2,:),5,rgb('DarkOrange'),'filled','o')
hold on
scatter(ITA(1,:),ITA(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(ITA(1,:),ITA(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(ITA(1,:),ITA(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([ITA(1,1) ITA(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,7));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,10)
scatter(NLD(1,:),NLD(2,:),5,rgb('DarkOrange'),'filled','o')
hold on
scatter(NLD(1,:),NLD(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(NLD(1,:),NLD(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(NLD(1,:),NLD(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([NLD(1,1) NLD(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,9));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,11)
scatter(NOR(1,:),NOR(2,:),5,rgb('DarkOrange'),'filled','d')
hold on
scatter(NOR(1,:),NOR(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(NOR(1,:),NOR(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(NOR(1,:),NOR(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([NOR(1,1) NOR(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,10));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,12)
scatter(PRT(1,:),PRT(2,:),5,rgb('DarkOrange'),'filled','d')
hold on
scatter(PRT(1,:),PRT(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(PRT(1,:),PRT(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(PRT(1,:),PRT(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([PRT(1,1) PRT(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,11));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,13)
scatter(ESP(1,:),ESP(2,:),5,rgb('DarkOrange'),'filled','d')
hold on
scatter(ESP(1,:),ESP(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(ESP(1,:),ESP(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(ESP(1,:),ESP(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([ESP(1,1) ESP(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,12));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,14)
scatter(SWE(1,:),SWE(2,:),5,rgb('DarkOrange'),'filled','d')
hold on
scatter(SWE(1,:),SWE(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(SWE(1,:),SWE(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(SWE(1,:),SWE(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([SWE(1,1) SWE(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,13));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,15)
scatter(CHE(1,:),CHE(2,:),5,rgb('DarkOrange'),'filled','d')
hold on
scatter(CHE(1,:),CHE(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(CHE(1,:),CHE(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(CHE(1,:),CHE(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([CHE(1,1) CHE(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,14));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,16)
scatter(GBR(1,:),GBR(2,:),5,rgb('DarkOrange'),'filled','d')
hold on
scatter(GBR(1,:),GBR(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(GBR(1,:),GBR(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(GBR(1,:),GBR(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([GBR(1,1) GBR(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,15));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

subplot(6,3,17)
scatter(USA(1,:),USA(2,:),5,rgb('DarkOrange'),'filled','d')
hold on
scatter(USA(1,:),USA(3,:),5,rgb('MediumBlue'),'filled','o')
hold on
plot(USA(1,:),USA(2,:),'Linewidth',2,'Color',rgb('DarkOrange'))
hold on
plot(USA(1,:),USA(3,:),'Linewidth',2,'Color',rgb('MediumBlue'))
hold on
axis tight
xlim([USA(1,1) USA(1,T)])
set(gca,'Box','on')
ylim([0 60])
t= title(Labels(1,16));
set(t,'fontsize',16,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;

h = gcf;
set(h, 'PaperPositionMode','auto')
set(h,'PaperOrientation','landscape')
set(h,'Position',[0 0 1300 1900])
tightfig
print(h,'-depsc','..\Output\Figure_4')
