clear all
clc

p50 = csvread('..\..\Temp Files\p50.csv');
p33 = csvread('..\..\Temp Files\p33.csv');
p66 = csvread('..\..\Temp Files\p66.csv');

Labels = {'Credit','Income Share Top 1\%','Income Share Top 10\%','TFP','Util.-adj. TFP','Labor Productivity'};

Growth_T = 10;
line_p   = 7;

figure1 = figure;
    subplot(2,3,1)
    plot(p50(1,:),'b','Linewidth',4,'Color',rgb('Mediumblue'))
    hold on
    plot(p33(1,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on 
    plot(p66(1,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on
    ciplot(p33(1,:),p66(1,:));
    plot(zeros(size(p50(1,:),2),1),'k')
    hold on
    line([line_p line_p], [-3 12],'Color',rgb('Crimson'),'Linewidth',2);
    axis tight
    xlim([1 Growth_T])
    ylim([-3 12])
    t= title(Labels(1,1));
    set(gca,'Xtick',1:Growth_T,'XTickLabel',{'-6', '-5','-4','-3','-2','-1','0','1','2','3'},'Box','on','FontSize', 20)
    set(t,'fontsize',24,'FontName','Palatino','Interpreter','Latex')
    grid on
    set(gca,'GridLineStyle','--')
    ax = gca;
    ax.GridAlpha = .5;
    
    subplot(2,3,2)
    plot(p50(2,:),'b','Linewidth',4,'Color',rgb('Mediumblue'))
    hold on
    plot(p33(2,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on 
    plot(p66(2,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on
    ciplot(p33(2,:),p66(2,:));
    plot(zeros(size(p50(2,:),2),1),'k')
    hold on
    line([line_p line_p], [-.8 .5],'Color',rgb('Crimson'),'Linewidth',2);
    axis tight
    xlim([1 Growth_T])
    ylim([-.5 .5])
    t= title(Labels(1,2));
    set(gca,'Xtick',1:Growth_T,'XTickLabel',{'-6', '-5','-4','-3','-2','-1','0','1','2','3'},'Box','on','FontSize', 20)
    set(t,'fontsize',24,'FontName','Palatino','Interpreter','Latex')
    grid on
    set(gca,'GridLineStyle','--')
    ax = gca;
    ax.GridAlpha = .5;
    
    subplot(2,3,3)
    plot(p50(3,:),'b','Linewidth',4,'Color',rgb('Mediumblue'))
    hold on
    plot(p33(3,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on 
    plot(p66(3,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on
    ciplot(p33(3,:),p66(3,:));
    plot(zeros(size(p50(3,:),2),1),'k')
    hold on
    line([line_p line_p], [-1.1 0.7],'Color',rgb('Crimson'),'Linewidth',2);
    axis tight
    xlim([1 Growth_T])
    ylim([-0.75 0.7])
    t= title(Labels(1,3));
    set(gca,'Xtick',1:Growth_T,'XTickLabel',{'-6', '-5','-4','-3','-2','-1','0','1','2','3'},'Box','on','FontSize', 20)
    set(t,'fontsize',24,'FontName','Palatino','Interpreter','Latex')
    grid on
    set(gca,'GridLineStyle','--')
    ax = gca;
    ax.GridAlpha = .5;
    
    subplot(2,3,4)
    plot(p50(4,:),'b','Linewidth',4,'Color',rgb('Mediumblue'))
    hold on
    plot(p33(4,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on 
    plot(p66(4,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on
    ciplot(p33(4,:),p66(4,:));
    plot(zeros(size(p50(4,:),2),1),'k')
    hold on
    line([line_p line_p], [-2 3],'Color',rgb('Crimson')','Linewidth',2);
    axis tight
    xlim([1 Growth_T])
    ylim([-2 3])
    t= title(Labels(1,4));
    set(gca,'Xtick',1:Growth_T,'XTickLabel',{'-6', '-5','-4','-3','-2','-1','0','1','2','3'},'Box','on','FontSize', 20)
    set(t,'fontsize',24,'FontName','Palatino','Interpreter','Latex')
    grid on
    set(gca,'GridLineStyle','--')
    ax = gca;
    ax.GridAlpha = .5;
    
    subplot(2,3,5)
    plot(p50(5,:),'b','Linewidth',4,'Color',rgb('Mediumblue'))
    hold on
    plot(p33(5,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on 
    plot(p66(5,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on
    ciplot(p33(5,:),p66(5,:));
    plot(zeros(size(p50(5,:),2),1),'k')
    hold on
    line([line_p line_p], [-2 3],'Color',rgb('Crimson'),'Linewidth',2);
    axis tight
    xlim([1 Growth_T])
    ylim([-2 3])
    t= title(Labels(1,5));
    set(gca,'Xtick',1:Growth_T,'XTickLabel',{'-6', '-5','-4','-3','-2','-1','0','1','2','3'},'Box','on','FontSize', 20)
    set(t,'fontsize',24,'FontName','Palatino','Interpreter','Latex')
    grid on
    set(gca,'GridLineStyle','--')
    ax = gca;
    ax.GridAlpha = .5;
    
    subplot(2,3,6)
    plot(p50(6,:),'b','Linewidth',4,'Color',rgb('Mediumblue'))
    hold on
    plot(p33(6,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on 
    plot(p66(6,:),'b','Linewidth',1,'Color',rgb('Mediumblue'))
    hold on
    ciplot(p33(6,:),p66(6,:));
    plot(zeros(size(p50(6,:),2),1),'k')
    hold on
    line([line_p line_p], [-.5 4],'Color',rgb('Crimson'),'Linewidth',2);
    axis tight
    xlim([1 Growth_T])
    ylim([-.5 4])
    t= title(Labels(1,6));
    set(gca,'Xtick',1:Growth_T,'XTickLabel',{'-6', '-5','-4','-3','-2','-1','0','1','2','3'},'Box','on','FontSize', 20)
    set(t,'fontsize',24,'FontName','Palatino','Interpreter','Latex')
    grid on
    set(gca,'GridLineStyle','--')
    ax = gca;
    ax.GridAlpha = .5;
    
    h = gcf;
    set(h, 'PaperPositionMode','auto')
    set(h,'PaperOrientation','landscape')
    set(h,'Position',[0 0 1920 780])
    tightfig
    print(h,'-depsc','..\Output\Figure_5')
    