
clear all
clc

util = csvread('..\..\Temp Files\utilization.csv');

act_corr = corrcoef(util(2,:),util(4,:));
corr_act = act_corr(1,2);

figure1 = figure;
plot(util(1,:),util(2,:),'b','Linewidth',3,'Color',rgb('Black'))
hold on
plot(util(1,:),util(4,:),'Marker','d','MarkerSize',10,'MarkerFaceColor',rgb('Crimson'),'Linewidth',1,'Color',rgb('Crimson'))
hold on
axis tight
ylim([-4 4])
set(gca,'FontSize', 20)
ylabel('Annual Percentage Change','Fontsize',24,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;
annotation('textbox',[.14 .801 .1 .1],'String',{['Correlation= ' num2str(corr_act)]},...
    'Fontsize',24,'FontName','Palatino','Interpreter','Latex','BackgroundColor',[1 1 1]);
h = gcf;
set(h, 'PaperPositionMode','auto')
set(h,'PaperOrientation','landscape')
set(h,'Position',[0 0 1920 780])
tightfig
print(h,'-depsc','..\Output\Figure_A1')
