
clear all
clc

credit_prod     = xlsread('..\Temp Files\AUROC.xlsx','dlloansr_prod');
lp              = xlsread('..\Temp Files\AUROC.xlsx','dllp');
credit_ineq     = xlsread('..\Temp Files\AUROC.xlsx','dlloansr_ineq');
income_top1     = xlsread('..\Temp Files\AUROC.xlsx','dincome_top1');

credit_prod     = [credit_prod(:,1) credit_prod(:,3)];
credit_prod     = flipud(credit_prod);
credit_prod     = credit_prod';

lp              = [lp(:,1) lp(:,3)];
lp              = flipud(lp);
lp              = lp';            

credit_ineq     = [credit_ineq(:,1) credit_ineq(:,3)];
credit_ineq     = flipud(credit_ineq);
credit_ineq     = credit_ineq';

income_top1     = [income_top1(:,1) income_top1(:,3)];
income_top1     = flipud(income_top1);
income_top1     = income_top1';

x = linspace(0,1);
y = x;

figure1 = figure;
line(credit_prod(2,:),credit_prod(1,:),'Linewidth',3,'Color',rgb('Crimson'))
hold on
scatter(lp(2,1:50:end),lp(1,1:50:end),100,rgb('Green'),'filled','o')
hold on    
line(lp(2,:),lp(1,:),'Linewidth',2,'Color',rgb('Green'))
hold on    
line(x,y,'Color','Black')
l1 = legend('Credit','Labor Productivity','Location','northwest');
set(l1,'Interpreter','latex','Fontsize',22,'FontName','Palatino','Interpreter','Latex')
set(gca,'Xtick',[0 0.25 0.50 0.75 1.00],'Box','on','FontSize', 20)
xlabel('False positive rate (1-Specificity)','Fontsize',24,'FontName','Palatino','Interpreter','Latex')
yticks([0 0.25 0.50 0.75 1.00])
ylabel('True positive rate (Sensitivity)','Fontsize',24,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;
h = gcf;
set(h, 'PaperPositionMode','auto')
set(h,'PaperOrientation','landscape')
set(h,'Position',[0 0 1500 1080])
tightfig
print(h,'-depsc','Figure_B2')

figure2 = figure;
line(credit_ineq(2,:),credit_ineq(1,:),'Linewidth',3,'Color',rgb('Crimson'))
hold on
scatter(income_top1(2,1:15:end),income_top1(1,1:15:end),80,rgb('Blue'),'filled','d')
hold on
line(income_top1(2,:),income_top1(1,:),'Linewidth',1,'Color',rgb('Blue'))
hold on
line(x,y,'Color','Black')
l1 = legend('Credit','Income share 1\%','Location','northwest');
set(l1,'Interpreter','latex','Fontsize',22,'FontName','Palatino','Interpreter','Latex')
set(gca,'Xtick',[0 0.25 0.50 0.75 1.00],'Box','on','FontSize', 20)
xlabel('False positive rate (1-Specificity)','Fontsize',24,'FontName','Palatino','Interpreter','Latex')
yticks([0 0.25 0.50 0.75 1.00])
ylabel('True positive rate (Sensitivity)','Fontsize',24,'FontName','Palatino','Interpreter','Latex')
grid on
set(gca,'GridLineStyle','--')
ax = gca;
ax.GridAlpha = .5;
h = gcf;
set(h, 'PaperPositionMode','auto')
set(h,'PaperOrientation','landscape')
set(h,'Position',[0 0 1500 1080])
tightfig
print(h,'-depsc','Figure_B1')
